// Smoother.h: Smoother NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SMOOTHER_H__24B34C32_A0AB_45FD_A251_D6C3CB1F3DD9__INCLUDED_)
#define AFX_SMOOTHER_H__24B34C32_A0AB_45FD_A251_D6C3CB1F3DD9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "RangeImage.h"

class Smoother  
{
public:
	RangeImage *image;

public:
	void moveVertex2(int iter);
	void addNoise(float c);
	void gaussSmooth(int iter, float c);
	void smoothI(int iter, float c);
	void moveVertex(int iter);
	void averageFaceNormal(int iter, float c);
	void averageNormal(int iter, float c);
	void setRangeImage(RangeImage *image);
	Smoother();
	virtual ~Smoother();

};

#endif // !defined(AFX_SMOOTHER_H__24B34C32_A0AB_45FD_A251_D6C3CB1F3DD9__INCLUDED_)
